de.caff.generics.checker

## Class LessEqualsChecker<T>

- java.lang.Object
- - de.caff.generics.checker.LessEqualsChecker<T>

- All Implemented Interfaces:
    Predicate1<T>, java.util.function.Predicate<T>

      public class LessEqualsChecker<T>
      extends java.lang.Object
      implements Predicate1<T>

  This value checker compares the checked value to its element, and returns `true` if the given value is smaller or same.
  Author:
    Rammi
  See Also:
    `Check.lessEquals(Comparable)`, `Check.lessEquals(Object, java.util.Comparator)`

- - ### Field Summary

    - ### Fields inherited from interface de.caff.generics.function.Predicate1

      `ALWAYS_FALSE, ALWAYS_TRUE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `LessEqualsChecker(T element, java.util.Comparator<T> comparator)` Constructor.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `test(T value)` Check a value.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface de.caff.generics.function.Predicate1

      `adapted, alwaysFalse, alwaysTrue, and_, and, and, from, isEqual, isNull, negate, notNull, or_, or, or, testNonNull, xor_, xor, xor`

- - ### Constructor Detail

    - #### LessEqualsChecker

          public LessEqualsChecker(@NotNull
                                   T element,
                                   @NotNull
                                   java.util.Comparator<T> comparator)

      Constructor.
      Parameters:
        `element` - element to compare against
        `comparator` - element comparator

  - ### Method Detail

    - #### test

          public boolean test(T value)

      Check a value.
      Specified by:
        `test` in interface `java.util.function.Predicate<T>`
      Parameters:
        `value` - the value
      Returns:
        `true`: the value is accepted
        `false`: the value is not accepted